package com.sxtvs.open.api.chat.dto;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class KimiResponse {
    private String id;
    private String object;
    private int created;
    private String model;
    private Usage usage;
    private List<Choice> choices;

    @Data
    @NoArgsConstructor
    public static  class Usage{
        private int prompt_tokens;
        private int completion_tokens;
        private int total_tokens;
    }

    @Data
    @NoArgsConstructor
    public static class Choice{
        private int index;
        private Message message;
        private String finish_reason;
    }

}
